Subject: 4.16-rc5 on Motorola Droid 4

From: [email-masked] (Pavel Machek)
Date: Wed, 21 Mar 2018 23:13:47 +0100

On Wed 2018-03-21 14:57:33, Tony Lindgren wrote:
> * Pavel Machek <[email-masked]> [180321 20:32]:
> > Hi!
> > 
> > > > Maybe get somebody to help you locally with the debug cable
> > > > soldering? :)
> > > 
> > > I suppose people from your hackerspace can help you. It's really
> > > easy to do. Soldering can be avoided btw. You can just use a pair
> > > of scissors to cut a USB -> Micro USB cable and use a knife to remove
> > > isolation. Then screw each of the 4 wires into a terminal strip.
> > > There are USB-TTL adapters available, that have an attached cable.
> > > If you also cut the connector from such a cable and connect it to
> > > the other side of the terminal strip you are done. No soldering
> > > involved ;)
> > 
> > Hm. How big no-no is connecting USB-TTL adapter to D+/D- pins? Because
> > that's what I could do "easily" and seems to work ;-).
> 
> Well if the VBUS line is not connected the PMIC is muxed
> to USB carkit mode so the lines go to the UART on the SoC
> through some level shifter. If it works it should not cause
> any issues, the symptoms I saw earlier was corrupted UART
> console and noticed that what worked best for me was 3.3V
> ftdi based devices out of the collection of random pl2303
> and ftdi cables I had around.

So.. I do have some fun on the UART (^@ inserted).

> I guess somebody could try to measure the uart lines with
> a scope with nothing connected and sending out data from
> droid 4. Or look at the carkit spec for the UART voltage
> levels.

Voltmeter says Droid4 transmits at 3.3V.

Anyway, it now works for me well enough that I can attempt to debug
the .config file :-).
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20180321/d282bbf7/attachment.sig>